OSX El Capitan

New Here ,
Dec 01, 2020

Copy link to clipboard

Copied

Is today's version of Adobe CC compatible with Mac OSX El Capitan?

 

TOPICS
Installation

Views

63

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
LEGEND ,
Dec 01, 2020

Copy link to clipboard

Copied

No not at all. El Capitan was released 6-7 years ago

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Brucgovn LATEST
Adobe Community Professional ,
Dec 01, 2020

Copy link to clipboard

Copied

Minimum Requirements is Mac OS Mojave:

Check whether your Macbook can be upgraded to Mac OS Mojave. Contact Apple Support or check on Apple official website.

 

Reference:

https://helpx.adobe.com/in/photoshop/system-requirements.html

 

https://helpx.adobe.com/in/premiere-pro/user-guide.html/in/premiere-pro/system-requirements.ug.html

 

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more